Get Return Orders

View as Markdown

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Headers

shipbob_channel_idstringOptionalformat: "int32"

Query parameters

PagestringOptionalformat: "int32"
Page of return orders to get
LimitstringOptionalformat: "int32"
Amount of return orders per page to request
SortOrderstringOptional
Order to sort results by
StartDatedatetimeOptional
Start date to filter orders inserted later than
EndDatedatetimeOptional
End date to filter orders inserted earlier than
IDsstringOptional
Comma separated list of return orders ids to filter by
ReferenceIdsstringOptional
Comma separated list of reference ids to filter by
StatusstringOptional
Comma separated list of statuses to filter by
FulfillmentCenterIdsstringOptional
Comma separated list of destination fulfillment center IDs to filter by
TrackingNumbersstringOptional
Comma separated list of tracking numbers to filter by
OriginalShipmentIdsstringOptional
Comma separated list of original shipment IDs to filter by
InventoryIdsstringOptional
Comma separated list of inventory IDs contained in return to filter by

Response headers

Page-Numberstring or null
Number of the current page
Total-Pagesstring or null
Total number of pages of results
Total-Countstring or null
Total number of results
Page-Sizestring or null
Number of results per page

Response

Success
channelobject or null
Created by channel metadata
completed_datedatetime or null
Completed date for a return order.
customer_namestring or null
Customer name from the related shipment.
fulfillment_centerobject or null
Information about a fulfillment center
idinteger or null
Unique id of the Return Order
insert_datedatetime or null
Date this return order was created
inventorylist of objects or null
List of inventory included in the return order
invoice_amountdouble or null

Invoiced amount of return order (sum of transaction amounts)

original_shipment_idinteger or null
Id of the corresponding shipment that is the souce of the return
reference_idstring or null

Client-defined external unique id of the return order

return_typeenum or null
Allowed values:
statusenum or null
Allowed values:
store_order_idstring or null
Store order for the related shipment.
tracking_numberstring or null
Tracking number of the return shipment
transactionslist of objects or null
Array of transactions affiliated with the return order

Errors